<?php

$entries = array(
  'FACES' => array(
    'part' => 'Classic Rock',
    'definition' => 'The Faces -  -,   1969    The Small Faces ( ,  ,  ),              The Jeff Beck Group.',
  ),
  'FAMILY' => array(
    'part' => 'Progressive',
    'definition' => 'Family -  -,   1967   , ,      ,   , , , -  .',
    'quote' => array(
      '  Family          ( ,  ,  ),      ,  .',
      '    -  - - Jethro Tull, Ten Years After, The Nice  Emerson, Lake & Palmer - Family,    ,      .',
      '    ,      1960- -  1970- ,     :        UK Albums Chart,   "Strange Band" (#11, 1970), "In My Own Time" (#4, 1971),  "Burlesque" (#13, 1972)  .',
    ),
    'author' => 'http://ru.wikipedia.org/wiki/Family',
  ),
  'FANTOMAS' => array(
    'part' => 'Avant-Garde',
    'definition' => 'Fantomas -   ,        ,       .',
  ),
  'FEAR FACTORY' => array(
    'part' => 'Death Industrial',
    'definition' => 'Fear Factory -  -  -.',
    'quote' => array(
      '   1989         ,  -  ,      .',
      '    ,      ,     -, -, -  -."',
      '      -  90-.',
      '   , Transgression,      ,    -  -.',
    ),
    'author' => 'http://ru.wikipedia.org/wiki/Fear_Factory',
  ),
  'FIFTH ANGEL' => array(
    'part' => 'Heavy Metal',
    'definition' => 'Fifth Angel -   ,       -  -.',
  ),
  'FILTER' => array(
    'part' => 'Industrial',
    'definition' => 'Filter -   -,     -,  , -, -   ..',
  ),
  'FISH' => array(
    'part' => 'Art Rock',
    'definition' => ' (    , . 25  1958) -  ,    .',
    'quote' => array(
      '   ,     - Marillion,     .',
      ' 25      Marillion.',
      '  4   ,  ,   1988 ,           .',
      ' 1989      ,          Vigil in a Wilderness of Mirrors.',
      '         .',
    ),
  ),
  'FLOWER KINGS' => array(
    'part' => 'Progressive',
    'definition' => 'The Flower Kings -  --,   1993           The Flower King.',
  ),
  'FOCUS' => array(
    'part' => 'Progressive',
    'definition' => 'Focus -    ,   1969        1970-.',
  ),
  'FOGHAT' => array(
    'part' => 'Hard Rock',
    'definition' => 'Foghat -  -,       1970- .',
    'quote' => array(
      '  - -.',
      ' 5  .',
      '     80-.',
      '      1971   .',
      '            .',
      ' 1972     .',
    ),
    'author' => 'http://ru.wikipedia.org/wiki/Foghat',
  ),
  'FOREIGNER' => array(
    'part' => 'Melodic Rock',
    'definition' => 'Foreigner -  -,   1976   ,     Spooky Tooth, The Leslie West Band    King Crimson  .',
  ),
);

foreach ($entries as $term => $entry) {
  if (strpos($term, strtoupper($_REQUEST['term']))
      !== FALSE) {
    $html = '<div class="entry">';

    $html .= '<h3 class="term">';
    $html .= $term;
    $html .= '</h3>';

    $html .= '<div class="part">';
    $html .= $entry['part'];
    $html .= '</div>';

    $html .= '<div class="definition">';
    $html .= $entry['definition'];
    if (isset($entry['quote'])) {
      foreach ($entry['quote'] as $line) {
        $html .= '<div class="quote-line">'. $line .'</div>';
      }
      if (isset($entry['author'])) {
        $html .= '<div class="quote-author">'.
          $entry['author'] .'</div>';
      }      
    }
    $html .= '</div>';
  
    $html .= '</div>';
  
    print($html);
  }
}
?>